<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from dbldbl_nthroot.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="dbldbl_nthroot" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>dbldbl_nthroot</refname><refpurpose>Computes the n-th root of x.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = dbldbl_nthroot ( x , n )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a double-double, the first point</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a double, integer value</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> the n-th root, y=x^(1/n)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This computes the N-th root of the DD number A and returns the DD result
in B.  N must be at least one.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = dbldbl_new ( 3 )
y = dbldbl_nthroot ( x , 4 )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Design, Implementation and Testing of Extended and Mixed Precision BLAS", Li et al, 2000</para>
   <para>"A Fortran-90 double-double precision library", David Bailey, http://www.nersc.gov/∼dhbailey/mpdist/mpdist.html.</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2011 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
